<rtflowfile version="1.0">
   <block name="Count" folder="Standard\Dynamic\" width="32" height="32">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="false" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="32" y2="32">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="text" x="16" y="16" height="18" s="S" font="Symbol"/>
      <doc>Counts the number of cycles that a boolean signal has been 1.</doc>
      <port name="enable" type="bool" x="0" y="16" kind="input" dir="left">
         <doc>1 to increase the counter this cycle, 0 otherwise.</doc>
      </port>
      <port name="count" type="int" x="32" y="16" kind="output" dir="right">
         <doc>The number of cycles that enable has been 1.</doc>
      </port>
   </block>
   <schematic name="Count" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="count" block="IntOutput" x="352" y="56"/>
      <binstance name="Add1" block="Add" x="224" y="32"/>
      <binstance name="enable" block="BoolInput" x="48" y="112"/>
      <binstance name="Pre1" block="Pre" x="80" y="48">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="If1" block="If" x="288" y="48"/>
      <binstance name="Value1" block="Value" x="160" y="48">
         <constant name="value" value="1" show="true" x="16" y="8"/>
      </binstance>
      <connection name="enable" port1="enable.o" port2="If1.i2">
         <point x="64" y="120"/>
         <point x="296" y="120"/>
         <point x="296" y="80"/>
      </connection>
      <connection name="pre_plus_1" port1="Add1.o" port2="If1.i1">
         <point x="256" y="48"/>
         <point x="272" y="48"/>
         <point x="272" y="56"/>
         <point x="288" y="56"/>
      </connection>
      <connection name="pre" port1="Pre1.o" port2="If1.i0">
         <point x="112" y="64"/>
         <point x="144" y="64"/>
         <point x="144" y="72"/>
         <point x="288" y="72"/>
      </connection>
      <connection name="pre" port1="Pre1.o" port2="Add1.i0">
         <point x="112" y="64"/>
         <point x="128" y="64"/>
         <point x="128" y="40"/>
         <point x="226" y="40"/>
      </connection>
      <connection name="one" port1="Value1.o" port2="Add1.i1">
         <point x="192" y="56"/>
         <point x="226" y="56"/>
      </connection>
      <connection name="count" port1="Pre1.i0" port2="If1.o">
         <point x="80" y="64"/>
         <point x="48" y="64"/>
         <point x="48" y="96"/>
         <point x="336" y="96"/>
         <point x="336" y="64"/>
         <point x="320" y="64"/>
      </connection>
      <connection name="count" port1="If1.o" port2="count.i0">
         <point x="320" y="64"/>
         <point x="352" y="64"/>
      </connection>
   </schematic>
</rtflowfile>
