<rtflowfile version="1.0">
   <block name="Degrees2Radians" folder="Standard\Trigonometric\" width="48" height="32">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="48" y2="32">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <doc>Converts an angle in degrees to radians.</doc>
      <port name="deg" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The angle in degrees to convert.</doc>
      </port>
      <port name="rad" type="real" x="48" y="16" kind="output" dir="right">
         <doc>The converted angle in radians.</doc>
      </port>
   </block>
   <schematic name="Degrees2Radians" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="deg" block="RealInput" x="112" y="80"/>
      <binstance name="Gain1" block="Gain" x="176" y="64" scalex="4" scaley="1.5">
         <constant name="gain" value="0.01745329252" show="true" x="11" y="16"/>
      </binstance>
      <binstance name="rad" block="RealOutput" x="352" y="80"/>
      <connection name="deg" port1="deg.o" port2="Gain1.i0">
         <point x="128" y="88"/>
         <point x="176" y="88"/>
      </connection>
      <connection name="rad" port1="Gain1.o" port2="rad.i0">
         <point x="304" y="88"/>
         <point x="352" y="88"/>
      </connection>
   </schematic>
</rtflowfile>
